
const Sidebar = ({ title, images, setShowItem, showItem, isLoading }: { title: string, images: any[], setShowItem: any, showItem: any, isLoading?: boolean }) => {
	return (
		<div className="relative text-[#000000] w-full h-full max-w-[350px]">
			<div className="w-full h-full absolute top-0 left-0 border-2 border-white backdrop-blur-lg z-0" />
			<div className="z-10 relative h-full flex flex-col justify-stretch">
				<p className="text-[#1e1e1e] text-4xl text-center font-bold opacity-70 mt-6 mb-16">
					{title}
				</p>
				<div className="flex-1 flex flex-col items-center justify-evenly scrollbar-none gap-8 overflow-y-auto">
					{isLoading ? (
						<div className="flex flex-col items-center justify-center h-full">
							<div className="animate-spin rounded-full h-12 w-12 border-t-2 border-b-2 border-gray-900"></div>
						</div>
					) : images?.length > 0 ? (
						images?.map((_img: any, index: any) => {
							return (
								<button
									key={index}
									onClick={() => setShowItem({ ...showItem, ..._img?.data })}
									style={{
										padding: 5,
										borderRadius: "20px",
										width: "275px",
										height: "200px",
										display: "flex",
										alignItems: "center",
										justifyContent: "center"


									}}
								>
									<img src={_img?.src} alt={_img?.alt} width={"275"} height={"200"} style={{ objectFit: "contain", width: "275px", height: "200px", borderRadius: "20px" }} />
								</button>
							);
						})
					) : (
						<div className="flex flex-col items-center justify-center h-full">
							<p className="text-lg">No products available</p>
						</div>
					)}
				</div>
			</div>
		</div>
	);
};

export default Sidebar;